de.esprit.appsuite.nio.ndf

## Class NdfStructure

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.nio.ndf.NdfStructure

- All Implemented Interfaces:
    Dumpable

      public final class NdfStructure
      extends DumpableObject

  This class just groups a structure type and the name of the structure.
  Author:
    Rainer Buesch

- - ### Property Summary

    Properties
    Type | Property and Description
    --- | ---
    `boolean` | `is`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NdfStructure(NdfStructure parent, int nestingLevel, NdfStructureType type, java.lang.String name, int lineNumber)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearReference()` Clears the current object reference that was previously set by `setReference(Object)`.
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getInfo()`
    `int` | `getLineNumber()`
    `java.lang.String` | `getName()`
    `int` | `getNestingLevel()`
    `NdfStructure` | `getParent()`
    `java.lang.String` | `getPath()`
    `<T> T` | `getReference()` Returns the current object reference that was previously set by `setReference(Object)`.
    `<T> T` | `getReferenceByName(java.lang.String name)` Searches up the stack to find the named structure and returns the reference that was previously set by `setReference(Object)`.
    `NdfStructureType` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isArray()`
    `boolean` | `isClosed()`
    `boolean` | `isDocument()`
    `boolean` | `isObject()`
    `boolean` | `isOpened()`
    `boolean` | `isProperty()`
    `boolean` | `isRoot()`
    `boolean` | `isTable()`
    `void` | `setReference(java.lang.Object currentRef)` Set a current object reference that should collect the read data.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### is

  - ### Constructor Detail

    - #### NdfStructure

          public NdfStructure(NdfStructure parent,
                      int nestingLevel,
                      NdfStructureType type,
                      java.lang.String name,
                      int lineNumber)

  - ### Method Detail

    - #### setReference

          public void setReference(java.lang.Object currentRef)

      Set a current object reference that should collect the read data.

    - #### getReference

          public <T> T getReference()

      Returns the current object reference that was previously set by `setReference(Object)`.

    - #### getReferenceByName

          public <T> T getReferenceByName(java.lang.String name)

      Searches up the stack to find the named structure and returns the reference that was previously set by `setReference(Object)`.

    - #### clearReference

          public void clearReference()

      Clears the current object reference that was previously set by `setReference(Object)`.

    - #### getParent

          public NdfStructure getParent()

    - #### getType

          public NdfStructureType getType()

    - #### getName

          public java.lang.String getName()

    - #### getPath

          public java.lang.String getPath()

    - #### getNestingLevel

          public int getNestingLevel()

    - #### getLineNumber

          public int getLineNumber()

    - #### isRoot

          public boolean isRoot()

    - #### isOpened

          public boolean isOpened()

    - #### isClosed

          public boolean isClosed()

    - #### isDocument

          public boolean isDocument()

    - #### isObject

          public boolean isObject()

    - #### isTable

          public boolean isTable()

    - #### isArray

          public boolean isArray()

    - #### isProperty

          public boolean isProperty()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getInfo

          public java.lang.String getInfo()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.